UPDATE ChecksumVO SET checksum ='' WHERE modelId = 1;

ALTER TABLE EventVO ADD COLUMN receiverId TEXT;
ALTER TABLE OpenLiveVO ADD COLUMN endDatetime INTEGER NOT NULL DEFAULT 0;
ALTER TABLE StoryVO ADD COLUMN viewCount TEXT;

ALTER TABLE MessageVO ADD COLUMN temporaryNo INTEGER NOT NULL DEFAULT 0;
ALTER TABLE MessageVO ADD COLUMN chatChannelNo INTEGER NOT NULL DEFAULT 0;
ALTER TABLE MessageVO ADD COLUMN chatMessageNo INTEGER NOT NULL DEFAULT 0;

CREATE INDEX MessageVOIndexChatMessage ON MessageVO(chatChannelNo, chatMessageNo);
CREATE INDEX MessageVOIndexMessageId ON MessageVO(messageId);

CREATE TABLE ChatChannelVO
(
userCount           INTEGER NOT NULL,
firstMessageNo      INTEGER NOT NULL,
visible             INTEGER NOT NULL,
channelId           TEXT NOT NULL,
updateTime          INTEGER NOT NULL,
userLastMessageNo   INTEGER NOT NULL,
messageNo           INTEGER NOT NULL,
messageTypeCode     INTEGER NOT NULL,
content             TEXT,
userNo              INTEGER NOT NULL,
messageTime         INTEGER NOT NULL,
extras              TEXT,
hasFailMessage      INTEGER NOT NULL,
friendId            TEXT,
friendName          TEXT,
profilePath         TEXT,
friendUserNo        INTEGER NOT NULL,
unread              INTEGER NOT NULL,
withdrawal          INTEGER NOT NULL,
alarmOn             INTEGER NOT NULL,
newFriend           INTEGER NOT NULL,
userFirstMessageNo  INTEGER NOT NULL,
PRIMARY KEY (channelId)
);

CREATE TABLE ChatSendFeedbackFailApiVO
(
seq                 INTEGER NOT NULL,
messageId           TEXT NOT NULL,
apiType             INTEGER NOT NULL,
PRIMARY KEY(seq)
);

CREATE TABLE FaceScanInfoVO
(
filename            TEXT NOT NULL,
fileCreateDate      INTEGER NOT NULL,
newMark             INTEGER NOT NULL,
registeredDate      INTEGER NOT NULL,
PRIMARY KEY(filename)
);
