UPDATE ChecksumVO SET checksum ='' WHERE modelId = 5;

DROP TABLE PostFilterVO;

CREATE TABLE PostFilterVO
(
filterId TEXT NOT NULL,
filterType INTEGER NOT NULL,
imagePath TEXT NOT NULL,
startDatetime INTEGER NOT NULL,
endDatetime INTEGER NOT NULL,
downloaded INTEGER NOT NULL,
sortOrder INTEGER NOT NULL,
PRIMARY KEY (filterId)
);

DROP TABLE EmojiGroupVO;
DROP TABLE EmojiVO;

CREATE TABLE PostStickerVO
(
stickerId TEXT NOT NULL,
stickerName TEXT NOT NULL,
packName TEXT NOT NULL,
stickerType INTEGER NOT NULL,
imagePath TEXT NOT NULL,
content TEXT NOT NULL,
usedDatetime INTEGER NOT NULL,
registeredDatetime INTEGER NOT NULL,

UNIQUE(stickerName, packName),
PRIMARY KEY(stickerId)
);
CREATE INDEX PostStickerVOUsedDatetime ON PostStickerVO(usedDatetime);

CREATE TABLE PostStickerTabStickerMappingVO
(
mappingId TEXT NOT NULL,
tabType INTEGER NOT NULL,
packName TEXT NOT NULL,
stickerName TEXT NOT NULL,
sortOrder INTEGER NOT NULL,

UNIQUE(tabType, packName, stickerName),
PRIMARY KEY(mappingId)
);
CREATE INDEX PostStickerTabStickerMappingVOSortOrder ON PostStickerTabStickerMappingVO(tabType, sortOrder);

CREATE TABLE PopInfoVOTemp
(
compositeKey        TEXT NOT NULL,
popId               TEXT NOT NULL,
hostname            TEXT NOT NULL,
defaultPop          INTEGER NOT NULL,
enable              INTEGER NOT NULL,
quality            TEXT,
popType             INTEGER NOT NULL,
PRIMARY KEY (compositeKey)
);

INSERT INTO PopInfoVOTemp SELECT (popId || "~" || "0") AS compositeKey, popId, hostname, defaultPop, enable, quality, 0 FROM PopInfoVO;

DROP TABLE PopInfoVO;
ALTER TABLE PopInfoVOTemp RENAME TO PopInfoVO;
CREATE INDEX PopInfoVOIndexPopIdPopType ON PopInfoVO(popId, popType);


CREATE TABLE ExploreVO
(
exploreSeq INTEGER NOT NULL,
thumbnail TEXT NOT NULL,
exploreName TEXT NOT NULL,
exposeNew INTEGER DEFAULT 0 NOT NULL,
sortOrder INTEGER NOT NULL,

PRIMARY KEY(exploreSeq)
);

CREATE INDEX ExploreVOSortOrder ON ExploreVO(exposeNew, sortOrder);


CREATE TABLE ExploreItemVO
(
compositeKey TEXT NOT NULL,
exploreSeq INTEGER NOT NULL,
itemSeq INTEGER NOT NULL,
path TEXT NOT NULL,
thumbnail TEXT NOT NULL,
playTime INTEGER DEFAULT 0 NOT NULL,
messageType INTEGER NOT NULL,
audio INTEGER DEFAULT 0 NOT NULL,
sortOrder INTEGER DEFAULT 0 NOT NULL,
registeredDatetime INTEGER NOT NULL,

PRIMARY KEY(compositeKey)
);

CREATE INDEX ExploreItemVOKey ON ExploreItemVO(exploreSeq, itemSeq);


ALTER TABLE OpenLiveVO ADD COLUMN type INTEGER NOT NULL DEFAULT 0;
ALTER TABLE UploadVO ADD COLUMN emojiIds TEXT;
ALTER TABLE StoryVO ADD COLUMN expire INTEGER NOT NULL DEFAULT 0;
ALTER TABLE StickerPackVO ADD COLUMN lastStickerDatetime INTEGER NOT NULL DEFAULT 0;
ALTER TABLE StoryItemVO ADD COLUMN localMyStory INTEGER NOT NULL DEFAULT 0;

UPDATE StickerPackVO SET lastStickerDatetime = (SELECT ifnull(StickerVO.registeredDatetime, 0) FROM StickerVO, StickerPackVO WHERE StickerVO.stickerPackId = StickerPackVO.stickerPackId ORDER BY StickerVO.registeredDatetime DESC LIMIT 1) WHERE StickerPackVO.stickerPackId <> 'featured' AND StickerPackVO.stickerPackId <> 'new';

UPDATE StickerPackVO SET lastStickerDatetime = (SELECT ifnull(registeredDatetime, 0) FROM StickerVO WHERE exposeHot = 1 ORDER BY registeredDatetime DESC LIMIT 1) WHERE stickerPackId = 'featured';

UPDATE StickerPackVO SET lastStickerDatetime = (SELECT ifnull(registeredDatetime, 0) FROM StickerVO WHERE exposeNew = 1 ORDER BY registeredDatetime DESC LIMIT 1) WHERE stickerPackId = 'new';