CREATE TABLE RecommendStoryVO
(
userId            TEXT NOT NULL,
userName            TEXT NOT NULL,
thumbnail           TEXT NOT NULL,
lastAddedTime  REAL NOT NULL,
lastDeletedTime  REAL NOT NULL,
listUpdated               INTEGER NOT NULL,
allRead INTEGER NOT NULL,
desc           TEXT,
sortOrder           INTEGER NOT NULL,
PRIMARY KEY (userId)
);

CREATE TABLE RecommendStoryItemVO
(
compositeKey        TEXT NOT NULL,
storyId        TEXT NOT NULL,
userId            TEXT NOT NULL,
path           TEXT NOT NULL,
playTime            INTEGER NOT NULL,
messageType         INTEGER NOT NULL,
messageKey          TEXT NOT NULL,
audio               INTEGER NOT NULL,
animation           INTEGER NOT NULL,
registered  REAL NOT NULL,
modified  REAL NOT NULL,
read           INTEGER NOT NULL,
thumbnail           TEXT NOT NULL,
sourceDatetime      REAL,
sourceType          INTEGER NOT NULL DEFAULT 1,
PRIMARY KEY (compositeKey)
);

ALTER TABLE MessageVO ADD COLUMN sourceDatetime REAL;
ALTER TABLE MessageVO ADD COLUMN sourceType INTEGER NOT NULL DEFAULT 1;
ALTER TABLE StoryItemVO ADD COLUMN sourceDatetime REAL;
ALTER TABLE StoryItemVO ADD COLUMN sourceType INTEGER NOT NULL DEFAULT 1;
ALTER TABLE UploadVO ADD COLUMN sourceDatetime REAL;
ALTER TABLE UploadVO ADD COLUMN sourceType INTEGER NOT NULL DEFAULT 1;



CREATE TABLE UploadVO_temp
(
mediaLocalPath      TEXT NOT NULL,
messageType         INTEGER NOT NULL,
playTime            INTEGER NOT NULL,
createdDatetime     REAL NOT NULL,
mediaStatus         INTEGER NOT NULL,
tid                 TEXT NOT NULL,
retryCount          INTEGER NOT NULL,
audio               INTEGER NOT NULL,
infinite            INTEGER NOT NULL,
animation           INTEGER NOT NULL,
withStory           INTEGER NOT NULL,
force               INTEGER NOT NULL,
ready               INTEGER NOT NULL,
sourceDatetime      REAL,
sourceType          INTEGER NOT NULL DEFAULT 1,
PRIMARY KEY (mediaLocalPath)
);

INSERT INTO UploadVO_temp (mediaLocalPath, messageType, playTime, createdDatetime, mediaStatus, tid, retryCount, audio, infinite, animation, withStory, force, ready, sourceDatetime, sourceType)
SELECT mediaLocalPath, messageType, playTime, createdDatetime, mediaStatus, tid, retryCount, audio, infinite, animation, withStory, force, ready, sourceDatetime, sourceType
FROM UploadVO;

DROP TABLE UploadVO;

ALTER TABLE UploadVO_temp RENAME TO UploadVO;


DELETE FROM PostStickerVO WHERE packName = 'pack_bubble';
DELETE FROM PostStickerTabStickerMappingVO WHERE packName = 'pack_bubble';
DELETE FROM PostStickerVO WHERE packName = 'pack_girly';
DELETE FROM PostStickerTabStickerMappingVO WHERE packName = 'pack_girly';
DELETE FROM PostStickerVO WHERE packName = 'pack_happyday';
DELETE FROM PostStickerTabStickerMappingVO WHERE packName = 'pack_happyday';
DELETE FROM PostStickerVO WHERE packName = 'pack_cute';
DELETE FROM PostStickerTabStickerMappingVO WHERE packName = 'pack_cute';
DELETE FROM PostStickerVO WHERE packName = 'pack_pinkdrawing';
DELETE FROM PostStickerTabStickerMappingVO WHERE packName = 'pack_pinkdrawing';

ALTER TABLE FriendVO ADD COLUMN addByManual INTEGER NOT NULL DEFAULT 0;
ALTER TABLE StoryVO ADD COLUMN exposeHome INTEGER NOT NULL DEFAULT 0;

UPDATE ChecksumVO SET checksum ='' WHERE modelId = 0;



