CREATE TABLE StatVO
(
seq                 INTEGER NOT NULL,
state               INTEGER NOT NULL,
command             INTEGER NOT NULL,
createdDatetime     REAL NOT NULL,
extraKey            TEXT NOT NULL,
extraValue            TEXT NOT NULL,
PRIMARY KEY (seq)
);

CREATE TABLE EnvironmentVO
(
environmentKey            INTEGER NOT NULL,
environmentValue        TEXT NOT NULL,
environmentType          INTEGER NOT NULL,
PRIMARY KEY (environmentKey)
);

INSERT INTO EnvironmentVO (environmentKey, environmentValue, environmentType)
VALUES (0, '0', 0);
UPDATE ChecksumVO SET checksum ='' WHERE modelId = 0;

ALTER TABLE StickerPackVO ADD COLUMN thumbnailOff TEXT;

ALTER TABLE FriendVO ADD COLUMN uid INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN cid INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN profileUpdatedTime INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN chatUserStatus INTEGER NOT NULL DEFAULT 0;
CREATE INDEX FriendVOUid ON FriendVO(uid);

ALTER TABLE DownloadRequest ADD COLUMN extra TEXT;

CREATE TABLE UploadRequest
(
tid INTEGER PRIMARY KEY,
path TEXT NOT NULL,
logType INTEGER NOT NULL DEFAULT 0,
status INTEGER NOT NULL DEFAULT 0,
retryCount INTEGER NOT NULL,
type INTEGER NOT NULL DEFAULT 0
);

CREATE TABLE MediaUploadVO
(
tid INTEGER PRIMARY KEY,
logType INTEGER NOT NULL,
playTime INTEGER NOT NULL,
audio INTEGER NOT NULL,
infinite INTEGER NOT NULL,
animation INTEGER NOT NULL,
sourceType INTEGER NOT NULL DEFAULT 1,
sourceDatetime REAL,
uploadKey TEXT NOT NULL,
extra TEXT NOT NULL
);

CREATE TABLE MediaReceiverVO
(
seq INTEGER PRIMARY KEY,
type INTEGER NOT NULL DEFAULT 0,
tid INTEGER,
uid INTEGER,
cid INTEGER,
receiverId TEXT,
receiverTid INTEGER,
UNIQUE(tid, uid),
UNIQUE(tid, cid)
UNIQUE(tid, receiverId)
);

DELETE FROM PostStickerVO;
DELETE FROM PostStickerTabStickerMappingVO;
