CREATE TABLE FavoriteKeywordVO
(
keyword            TEXT NOT NULL,
thumbnail        TEXT NOT NULL,
sortOrder          INTEGER NOT NULL,
PRIMARY KEY (keyword)
);

CREATE TABLE StickerKeywordVO
(
compositeKey            TEXT NOT NULL,
keyword                 TEXT NOT NULL,
stickerId               TEXT NOT NULL,
stickerPackId               TEXT NOT NULL,
PRIMARY KEY (compositeKey)
);

ALTER TABLE StickerVO ADD COLUMN exposeBest INTEGER NOT NULL DEFAULT 0;
ALTER TABLE StickerVO ADD COLUMN bestSortOrder INTEGER NOT NULL DEFAULT 0;
ALTER TABLE MediaUploadVO ADD COLUMN mediaWidth INTEGER NOT NULL DEFAULT 0;
ALTER TABLE MediaUploadVO ADD COLUMN mediaHeight INTEGER NOT NULL DEFAULT 0;

INSERT INTO EnvironmentVO (environmentKey, environmentValue, environmentType)
VALUES (1, '1', 0);

DELETE FROM EnvironmentVO WHERE environmentKey = 0;

INSERT INTO EnvironmentVO (environmentKey, environmentValue, environmentType)
VALUES (0, '1', 0);

DELETE FROM PostStickerVO;
DROP TABLE PostStickerVO;

DELETE FROM PostStickerTabStickerMappingVO;
DROP TABLE PostStickerTabStickerMappingVO;

CREATE TABLE PostStickerVO
(
stickerId TEXT NOT NULL,
stickerName TEXT NOT NULL,
stickerPackId TEXT NOT NULL,
stickerType INTEGER NOT NULL,
thumbnail TEXT NOT NULL,
usedDatetime INTEGER NOT NULL,
registeredDatetime INTEGER NOT NULL,
sortOrder INTEGER NOT NULL,
PRIMARY KEY(stickerId)
);
CREATE INDEX PostStickerVOUsedDatetime ON PostStickerVO(usedDatetime);

ALTER TABLE StickerPackVO ADD COLUMN thumbnailOffChat TEXT;
ALTER TABLE StickerPackVO ADD COLUMN thumbnailChat TEXT;

CREATE TABLE StickerPackVO_temp
(
compositeKey            TEXT NOT NULL,
stickerPackId           TEXT NOT NULL,
defaultPack             INTEGER NOT NULL,
thumbnail               TEXT NOT NULL,
packSize                INTEGER NOT NULL,
sortOrder               INTEGER NOT NULL,
startDatetime           INTEGER NOT NULL,
endDatetime             INTEGER NOT NULL,
registeredDatetime      INTEGER NOT NULL,
modifiedDatetime        INTEGER NOT NULL,
newPack                 INTEGER NOT NULL,
bannerSeq               INTEGER NOT NULL,
lastStickerDatetime     INTEGER NOT NULL,
texture                 INTEGER NOT NULL,
thumbnailOff            TEXT,
thumbnailOffChat        TEXT,
thumbnailChat           TEXT,
PRIMARY KEY (compositeKey)
);

INSERT INTO StickerPackVO_temp SELECT (stickerPackId || texture), stickerPackId, defaultPack, thumbnail, packSize, sortOrder, startDatetime, endDatetime, registeredDatetime, modifiedDatetime, newPack, bannerSeq, lastStickerDatetime, texture, thumbnailOff, thumbnailOffChat, thumbnailChat FROM StickerPackVO;

DROP TABLE StickerPackVO;
ALTER TABLE StickerPackVO_temp RENAME TO StickerPackVO;


