CREATE TABLE PostFilterVO
(
    filterSeq INTEGER NOT NULL,
    filterId TEXT NOT NULL,
    filterType INTEGER NOT NULL,
    imagePath TEXT NOT NULL,
    startDatetime INTEGER NOT NULL,
    endDatetime INTEGER NOT NULL,
    downloaded INTEGER NOT NULL,
    PRIMARY KEY (filterSeq)
);

CREATE TABLE RefereeVO
(
compositeKey TEXT NOT NULL,
friendId TEXT NOT NULL,
refereeId TEXT NOT NULL,
PRIMARY KEY (compositeKey)
);

ALTER TABLE FriendVO ADD COLUMN existReferees INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN fromMycontact INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN fromFriendcontact INTEGER NOT NULL DEFAULT 0;
ALTER TABLE FriendVO ADD COLUMN fromFacebook INTEGER NOT NULL DEFAULT 0;
ALTER TABLE MessageVO ADD COLUMN message TEXT;
ALTER TABLE UploadVO ADD COLUMN withStory INTEGER NOT NULL DEFAULT 0;
ALTER TABLE UploadVO ADD COLUMN force INTEGER NOT NULL DEFAULT 0;
ALTER TABLE UploadVO ADD COLUMN ready INTEGER NOT NULL DEFAULT 0;
ALTER TABLE DownloadVO ADD COLUMN force INTEGER NOT NULL DEFAULT 0;
ALTER TABLE DownloadVO ADD COLUMN story INTEGER NOT NULL DEFAULT 0;



CREATE TABLE StoryItemVO
(
storyId        TEXT NOT NULL,
userId            TEXT NOT NULL,
path           TEXT NOT NULL,
playTime            INTEGER NOT NULL,
messageType         INTEGER NOT NULL,
messageKey          TEXT NOT NULL,
audio               INTEGER NOT NULL,
animation           INTEGER NOT NULL,
registered  REAL NOT NULL,
modified  REAL NOT NULL,
read           INTEGER NOT NULL,
thumbnail           TEXT NOT NULL,
viewCount           INTEGER NOT NULL,
PRIMARY KEY (storyId)
);

CREATE TABLE ViewVO
(
compositeKey      TEXT NOT NULL,
userId    TEXT NOT NULL,
storyId          TEXT NOT NULL,
screenshot               INTEGER NOT NULL,
PRIMARY KEY (compositeKey)
);

CREATE TABLE StoryVO
(
userId            TEXT NOT NULL,
thumbnail           TEXT NOT NULL,
lastAddedTime  REAL NOT NULL,
lastDeletedTime  REAL NOT NULL,
listUpdated               INTEGER NOT NULL,
allRead INTEGER NOT NULL,
PRIMARY KEY (userId)
);